zsh:
  pkg.installed:
    - name: zsh

zsh-syntax-highlighting:
  pkg.installed:
    - name: zsh-syntax-highlighting

{% if grains['kernel'] == 'Darwin' %}
zsh-completions:
  pkg.installed:
    - name: zsh-completions

zsh-history-substring-search:
  pkg.installed:
    - name: zsh-history-substring-search
{% endif %}

oh-my-zshell:
  git.latest:
    - name: https://github.com/robbyrussell/oh-my-zsh.git
    - target: {{ grains.homedir }}/.oh-my-zsh
    - user: {{ grains.user }}

{{ grains.user }}:
   user.present:
    - shell: /bin/zsh

zsh-config:
  file.managed:
    - name: {{ grains.homedir }}/.zshrc
    - source: salt:///zsh/files/zshconfig
    - user: {{ grains.user }}
    - group: {{ grains.user }}
    - template: jinja
    - force: True

bash-config:
  file.managed:
    - name: {{ grains.homedir }}/.bashrc
    - source: salt:///zsh/files/bashconfig
    - user: {{ grains.user }}
    - group: {{ grains.user }}
    - template: jinja
    - force: True
